## fcitx5-qt 5.0.10.1

=== debian/changelog ===
fcitx5-qt (5.0.10.1-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Tue, 22 Feb 2022 17:57:57 +0800

=== debian/control ===
Source: fcitx5-qt
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.6.0),
 debhelper-compat (= 12),
 extra-cmake-modules,
 gettext,
 libfcitx5utils-dev (>= 5.0.11),
 libxcb1-dev,
 libxkbcommon-dev,
 qtbase5-dev,
 qtbase5-private-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-qt
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-qt

Package: fcitx5-frontend-qt5
Architecture: any
Section: libs
Depends:
 libfcitx5-qt1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: IM module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the Qt5 IM Module for fcitx5.

Package: libfcitx5-qt-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt library and IM module for fcitx5 (data files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the shared data files for fcitx5-qt.

Package: libfcitx5-qt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libfcitx5-qt1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt library and IM module for fcitx5 (development files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the development files for fcitx5-qt.

Package: libfcitx5-qt1
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 libfcitx5-qt-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt library and IM module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the Qt5 support for fcitx5.

## fcitx5-qt 5.0.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(fcitx5-qt VERSION 5.0.14)
set(FCITX5_QT_VERSION ${PROJECT_VERSION})

set(REQUIRED_QT4_VERSION 4.8.0)
set(REQUIRED_QT5_VERSION 5.1.0)
set(REQUIRED_QT6_VERSION 6.0.0)

find_package(ECM 1.4.0 REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

option(ENABLE_QT4 "Enable Qt 4" On)
option(ENABLE_QT5 "Enable Qt 5" On)
option(ENABLE_QT6 "Enable Qt 6" Off)
option(BUILD_ONLY_PLUGIN "Build only plugin" Off)
option(BUILD_STATIC_PLUGIN "Build plugin as static" Off)
option(WITH_FCITX_PLUGIN_NAME "Enable plugin name with fcitx" On)

if (BUILD_ONLY_PLUGIN)
  set(LIBRARY_TYPE OBJECT)
  set(LIBRARY_COMPILE_FLAGS "-fPIC")
else()
  set(LIBRARY_TYPE SHARED)
  add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-qt\")
  if (BUILD_STATIC_PLUGIN)
    message(FATAL_ERROR "BUILD_STATIC_PLUGIN requires BUILD_ONLY_PLUGIN")
  endif()
endif()

if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
  set(PLUGIN_LIBRARY_TYPE STATIC)
else()
  set(PLUGIN_LIBRARY_TYPE MODULE)
endif()

add_definitions(-DFCITX5_QT_VERSION=\"${FCITX5_QT_VERSION}\" -DQT_NO_KEYWORDS)

include(GNUInstallDirs)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMUninstallTarget)

find_package(XCB REQUIRED COMPONENTS XCB)
find_package(XKBCommon 0.5.0 REQUIRED COMPONENTS XKBCommon)
if (NOT BUILD_ONLY_PLUGIN)
find_package(Fcitx5Utils 5.0.16 REQUIRED)
endif()
find_package(X11 REQUIRED)

add_library(X11Import UNKNOWN IMPORTED)
set_target_properties(X11Import PROPERTIES
    IMPORTED_LOCATION "${X11_X11_LIB}"
    INTERFACE_INCLUDE_DIRECTORIES "${X11_X11_INCLUDE_PATH}")

if (BUILD_ONLY_PLUGIN)
# Dup a little bit option here.
include(CompilerSettings)
else()
include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
find_package(Gettext REQUIRED)
endif()

set(Fcitx5Qt6_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt6)
set(Fcitx5Qt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt5)
set(Fcitx5Qt4_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt4)

if(ENABLE_QT4)
  find_package(Qt4 ${REQUIRED_QT4_VERSION} REQUIRED)
  add_subdirectory(qt4)
endif()

if(ENABLE_QT5)
  find_package(Qt5 ${REQUIRED_QT5_VERSION} CONFIG REQUIRED Core DBus Widgets)
  find_package(Qt5Gui ${REQUIRED_QT5_VERSION} REQUIRED Private)
  add_subdirectory(qt5)
endif()

if(ENABLE_QT6)
  find_package(Qt6 ${REQUIRED_QT6_VERSION} CONFIG REQUIRED Core DBus)
  find_package(Qt6Gui ${REQUIRED_QT6_VERSION} REQUIRED Private)
  add_subdirectory(qt6)
endif()

if(NOT BUILD_ONLY_PLUGIN)
add_subdirectory(po)
endif()

enable_testing()
add_subdirectory(test)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
fcitx5-qt (5.0.14-2build1) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 17 Sep 2022 10:00:23 +0300

fcitx5-qt (5.0.14-2) unstable; urgency=medium

  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via
    dh_auto_configure override. (Closes: #1002674)

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Aug 2022 16:05:03 -0400

fcitx5-qt (5.0.14-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 09:38:37 -0400

fcitx5-qt (5.0.13-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Jun 2022 16:27:32 -0400

fcitx5-qt (5.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 May 2022 21:27:07 -0400

fcitx5-qt (5.0.11-1) unstable; urgency=medium

  * New upstream release.
  * Enable Qt6 support.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 11:48:39 -0400

## fcitx5-qt 5.0.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16)
-project(fcitx5-qt VERSION 5.0.14)
+project(fcitx5-qt VERSION 5.0.16)
 set(FCITX5_QT_VERSION ${PROJECT_VERSION})
 
 set(REQUIRED_QT4_VERSION 4.8.0)
@@ -79,7 +79,7 @@
 endif()
 
 if(ENABLE_QT6)
-  find_package(Qt6 ${REQUIRED_QT6_VERSION} CONFIG REQUIRED Core DBus)
+  find_package(Qt6 ${REQUIRED_QT6_VERSION} CONFIG REQUIRED Core DBus Widgets)
   find_package(Qt6Gui ${REQUIRED_QT6_VERSION} REQUIRED Private)
   add_subdirectory(qt6)
 endif()

=== qt4/inputcontext/CMakeLists.txt ===

set(plugin_SRCS
    qfcitxinputcontext.cpp
    qtkey.cpp
    main.cpp
)

if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
set(plugin_SRCS ${plugin_SRCS} $<TARGET_OBJECTS:Fcitx5Qt4DBusAddons>)
endif()


add_library(qtim-fcitx5 ${PLUGIN_LIBRARY_TYPE} ${plugin_SRCS})
set_target_properties(qtim-fcitx5 PROPERTIES
                         AUTOMOC TRUE
                        )
target_include_directories(qtim-fcitx5 PRIVATE "${PROJECT_SOURCE_DIR}/common")
if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
    target_compile_definitions(qtim-fcitx5 PRIVATE "-DQT_STATICPLUGIN")
endif()
if (WITH_FCITX_PLUGIN_NAME)
    target_compile_definitions(qtim-fcitx5 PRIVATE "-DFCITX5_QT_WITH_FCITX_NAME")
endif()

target_link_libraries(qtim-fcitx5
                          Qt4::QtCore
                          Qt4::QtGui
                          Qt4::QtDBus
                          XCB::XCB
                          Fcitx5Qt4::DBusAddons
                          XKBCommon::XKBCommon
                          X11Import
                         )

set(CMAKE_INSTALL_QT4PLUGINDIR ${QT_PLUGINS_DIR} CACHE PATH "Qt4 plugin dir")
install(TARGETS qtim-fcitx5 DESTINATION ${CMAKE_INSTALL_QT4PLUGINDIR}/inputmethods)

=== qt5/platforminputcontext/CMakeLists.txt ===
include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})

set(FCITX5_QT_EXTRA_PLUGIN_NAME "")
if (WITH_FCITX_PLUGIN_NAME)
    set(FCITX5_QT_EXTRA_PLUGIN_NAME "\"fcitx\",")
endif()

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/fcitx5.json.in" "${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json")

set(plugin_SRCS
    qfcitxplatforminputcontext.cpp
    fcitxcandidatewindow.cpp
    fcitxtheme.cpp
    font.cpp
    qtkey.cpp
    main.cpp
)

if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
set(plugin_SRCS ${plugin_SRCS} $<TARGET_OBJECTS:Fcitx5Qt5DBusAddons>)
endif()

add_library(fcitx5platforminputcontextplugin ${PLUGIN_LIBRARY_TYPE} ${plugin_SRCS})
set_target_properties(fcitx5platforminputcontextplugin PROPERTIES
                         AUTOMOC TRUE
                        )
target_include_directories(fcitx5platforminputcontextplugin PRIVATE "${PROJECT_SOURCE_DIR}/common")
if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
target_compile_definitions(fcitx5platforminputcontextplugin PRIVATE "-DQT_STATICPLUGIN")
endif()

target_compile_definitions(fcitx5platforminputcontextplugin PRIVATE "-DFCITX_PLUGIN_DATA_FILE_PATH=\"${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json\"")
if (WITH_FCITX_PLUGIN_NAME)
    # This is not really necessary, but can trigger a cmake rebuild.
    target_compile_definitions(fcitx5platforminputcontextplugin PRIVATE "-DFCITX5_QT_WITH_FCITX_NAME")
endif()


target_link_libraries(fcitx5platforminputcontextplugin
                          Qt5::Core
                          Qt5::Gui
                          Qt5::DBus
                          Qt5::Widgets
                          XCB::XCB
                          Fcitx5Qt5::DBusAddons
                          XKBCommon::XKBCommon
                         )

include(ECMQueryQmake)
query_qmake(_QT5PLUGINDIR QT_INSTALL_PLUGINS)
set(CMAKE_INSTALL_QT5PLUGINDIR ${_QT5PLUGINDIR} CACHE PATH "Qt5 plugin dir")
install(TARGETS fcitx5platforminputcontextplugin DESTINATION ${CMAKE_INSTALL_QT5PLUGINDIR}/platforminputcontexts)

=== qt5/quickphrase-editor/CMakeLists.txt ===
find_package(Qt5Concurrent REQUIRED)

set(QUICKPHRASE_EDITOR_SRCS 
  main.cpp
  model.cpp
  editor.cpp
  editordialog.cpp
  batchdialog.cpp
  filelistmodel.cpp
  )

add_library(fcitx-quickphrase-editor5
  MODULE ${QUICKPHRASE_EDITOR_SRCS})
set_target_properties(fcitx-quickphrase-editor5 PROPERTIES
                      AUTOMOC TRUE AUTOUIC TRUE AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h"
)
target_link_libraries(fcitx-quickphrase-editor5
  Fcitx5::Utils
  Qt5::Core
  Qt5::Gui
  Qt5::Concurrent
  Fcitx5Qt5::WidgetsAddons
)

install(TARGETS fcitx-quickphrase-editor5 DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt5)

=== qt6/platforminputcontext/CMakeLists.txt ===
include_directories(${Qt6Gui_PRIVATE_INCLUDE_DIRS})

set(FCITX5_QT_EXTRA_PLUGIN_NAME "")
if (WITH_FCITX_PLUGIN_NAME)
    set(FCITX5_QT_EXTRA_PLUGIN_NAME "\"fcitx\",")
endif()

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/fcitx5.json.in" "${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json")

set(plugin_SRCS
    qfcitxplatforminputcontext.cpp
    fcitxcandidatewindow.cpp
    fcitxtheme.cpp
    font.cpp
    qtkey.cpp
    main.cpp
)

if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
set(plugin_SRCS ${plugin_SRCS} $<TARGET_OBJECTS:Fcitx5Qt6DBusAddons>)
endif()

add_library(fcitx5platforminputcontextplugin-qt6 ${PLUGIN_LIBRARY_TYPE} ${plugin_SRCS})
set_target_properties(fcitx5platforminputcontextplugin-qt6 PROPERTIES
                         OUTPUT_NAME fcitx5platforminputcontextplugin
                         AUTOMOC TRUE
                        )
target_include_directories(fcitx5platforminputcontextplugin-qt6 PRIVATE "${PROJECT_SOURCE_DIR}/common")
if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
target_compile_definitions(fcitx5platforminputcontextplugin-qt6 PRIVATE "-DQT_STATICPLUGIN")
endif()

target_compile_definitions(fcitx5platforminputcontextplugin-qt6 PRIVATE "-DFCITX_PLUGIN_DATA_FILE_PATH=\"${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json\"")
if (WITH_FCITX_PLUGIN_NAME)
    # This is not really necessary, but can trigger a cmake rebuild.
    target_compile_definitions(fcitx5platforminputcontextplugin-qt6 PRIVATE "-DFCITX5_QT_WITH_FCITX_NAME")
endif()


target_link_libraries(fcitx5platforminputcontextplugin-qt6
                          Qt6::Core
                          Qt6::Gui
                          Qt6::DBus
                          Qt6::Widgets
                          XCB::XCB
                          Fcitx5Qt6::DBusAddons
                          XKBCommon::XKBCommon
                         )

get_target_property(_QT6_QMAKE_EXECUTABLE Qt6::qmake LOCATION)
execute_process(
    COMMAND ${_QT6_QMAKE_EXECUTABLE} -query "QT_INSTALL_PLUGINS"
    RESULT_VARIABLE return_code
    OUTPUT_VARIABLE _QT6PLUGINDIR
)
if(return_code EQUAL 0)
    string(STRIP "${_QT6PLUGINDIR}" _QT6PLUGINDIR)
else()
    message(FATAL_ERROR "QMake Qt6 call failed: ${return_code}")
endif()
set(CMAKE_INSTALL_QT6PLUGINDIR ${_QT6PLUGINDIR} CACHE PATH "Qt6 plugin dir")
install(TARGETS fcitx5platforminputcontextplugin-qt6 DESTINATION ${CMAKE_INSTALL_QT6PLUGINDIR}/platforminputcontexts)

=== debian/changelog ===
fcitx5-qt (5.0.16-1build4) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 01:01:58 +0300

fcitx5-qt (5.0.16-1build3) lunar; urgency=medium

  * No-change rebuild against qt6 6.4.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 09 Jan 2023 23:26:01 +0000

fcitx5-qt (5.0.16-1build2) lunar; urgency=medium

  * No-change rebuild against qt6-base-abi (= 6.4.2).

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:48:21 +0000

fcitx5-qt (5.0.16-1build1) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 11:57:15 +0300

fcitx5-qt (5.0.16-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 12:39:06 -0500

fcitx5-qt (5.0.15-1) unstable; urgency=medium

  * New upstream release.
  * Use upstream-provided tarball.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Sep 2022 13:30:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: fcitx5-qt
 Section: utils
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake (>= 3.6.0),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5utils-dev (>= 5.0.11),
+ libfcitx5utils-dev (>= 5.0.16~),
  libxcb1-dev,
  libxkbcommon-dev,
+ qt6-base-dev,
+ qt6-base-private-dev,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-qt
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
@@ -27,7 +30,7 @@
  libfcitx5-qt1 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: IM module for fcitx5
+Description: Qt5 IM module for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
  configuration tools. The framework is highly extensible with support
@@ -41,13 +44,33 @@
  .
  This package provides the Qt5 IM Module for fcitx5.
 
+Package: fcitx5-frontend-qt6
+Architecture: any
+Section: libs
+Depends:
+ libfcitx5-qt6-1 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Qt6 IM module for fcitx5
+ Fcitx5 is the next generation of fcitx input method framework. It
+ provides pleasant and modern input experience with intuitive graphical
+ configuration tools. The framework is highly extensible with support
+ for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
+ environments and a developer-friendly API.
+ .
+ Some of its new features include support of both Wayland and Xorg
+ and the ability to mimic IBus Input Method Framework in order to
+ provide better compatibility across different Linux distributions
+ and desktop environments.
+ .
+ This package provides the Qt6 IM Module for fcitx5.
+
 Package: libfcitx5-qt-data
 Architecture: all
 Multi-Arch: foreign
 Section: libs
 Depends:
  ${misc:Depends},
- ${shlibs:Depends},
 Description: Qt library and IM module for fcitx5 (data files)
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -69,7 +92,6 @@
 Depends:
  libfcitx5-qt1 (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends},
 Description: Qt library and IM module for fcitx5 (development files)
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -105,3 +127,46 @@
  and desktop environments.
  .
  This package provides the Qt5 support for fcitx5.
+
+Package: libfcitx5-qt6-1
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends:
+ libfcitx5-qt-data (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Qt6 library and IM module for fcitx5
+ Fcitx5 is the next generation of fcitx input method framework. It
+ provides pleasant and modern input experience with intuitive graphical
+ configuration tools. The framework is highly extensible with support
+ for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
+ environments and a developer-friendly API.
+ .
+ Some of its new features include support of both Wayland and Xorg
+ and the ability to mimic IBus Input Method Framework in order to
+ provide better compatibility across different Linux distributions
+ and desktop environments.
+ .
+ This package provides the Qt6 support for fcitx5.
+
+Package: libfcitx5-qt6-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends:
+ libfcitx5-qt6-1 (= ${binary:Version}),
+ ${misc:Depends},
+Description: Qt6 library and IM module for fcitx5 (development files)
+ Fcitx5 is the next generation of fcitx input method framework. It
+ provides pleasant and modern input experience with intuitive graphical
+ configuration tools. The framework is highly extensible with support
+ for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
+ environments and a developer-friendly API.
+ .
+ Some of its new features include support of both Wayland and Xorg
+ and the ability to mimic IBus Input Method Framework in order to
+ provide better compatibility across different Linux distributions
+ and desktop environments.
+ .
+ This package provides the development files for fcitx5-qt (qt6).

## fcitx5-qt 5.0.17

=== debian/changelog ===
fcitx5-qt (5.0.17-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Mar 2023 13:39:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: fcitx5-qt
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- cmake (>= 3.6.0),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5utils-dev (>= 5.0.16~),
+ libfcitx5utils-dev (>= 5.0.23~),
  libxcb1-dev,
  libxkbcommon-dev,
  qt6-base-dev,
  qt6-base-private-dev,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-qt
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git

## fcitx5-qt 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16)
-project(fcitx5-qt VERSION 5.0.16)
+project(fcitx5-qt VERSION 5.1.0)
 set(FCITX5_QT_VERSION ${PROJECT_VERSION})
 
 set(REQUIRED_QT4_VERSION 4.8.0)
@@ -19,7 +19,6 @@
 
 if (BUILD_ONLY_PLUGIN)
   set(LIBRARY_TYPE OBJECT)
-  set(LIBRARY_COMPILE_FLAGS "-fPIC")
 else()
   set(LIBRARY_TYPE SHARED)
   add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-qt\")

=== qt4/CMakeLists.txt ===
add_subdirectory(dbusaddons)
add_subdirectory(inputcontext)

if(NOT BUILD_ONLY_PLUGIN)
  add_subdirectory(immodule-probing)
endif()

=== qt5/CMakeLists.txt ===
add_subdirectory(dbusaddons)
add_subdirectory(platforminputcontext)

if(NOT BUILD_ONLY_PLUGIN)
  add_subdirectory(guiwrapper)
  add_subdirectory(widgetsaddons)
  add_subdirectory(quickphrase-editor)
  add_subdirectory(immodule-probing)
endif()

=== qt6/CMakeLists.txt ===
add_subdirectory(dbusaddons)
add_subdirectory(platforminputcontext)

if(NOT BUILD_ONLY_PLUGIN)
  add_subdirectory(immodule-probing)
endif()

=== qt6/platforminputcontext/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-include_directories(${Qt6Gui_PRIVATE_INCLUDE_DIRS})
-
 set(FCITX5_QT_EXTRA_PLUGIN_NAME "")
 if (WITH_FCITX_PLUGIN_NAME)
     set(FCITX5_QT_EXTRA_PLUGIN_NAME "\"fcitx\",")
@@ -8,6 +6,11 @@
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/fcitx5.json.in" "${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json")
 
 set(plugin_SRCS
+    fcitx4watcher.cpp
+    fcitx4inputcontextproxy.cpp
+    fcitx4inputcontextproxyimpl.cpp
+    fcitx4inputmethodproxy.cpp
+    hybridinputcontext.cpp
     qfcitxplatforminputcontext.cpp
     fcitxcandidatewindow.cpp
     fcitxtheme.cpp
@@ -25,7 +28,7 @@
                          OUTPUT_NAME fcitx5platforminputcontextplugin
                          AUTOMOC TRUE
                         )
-target_include_directories(fcitx5platforminputcontextplugin-qt6 PRIVATE "${PROJECT_SOURCE_DIR}/common")
+target_include_directories(fcitx5platforminputcontextplugin-qt6 PRIVATE ${Qt6Gui_PRIVATE_INCLUDE_DIRS} "${PROJECT_SOURCE_DIR}/common")
 if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
 target_compile_definitions(fcitx5platforminputcontextplugin-qt6 PRIVATE "-DQT_STATICPLUGIN")
 endif()

=== debian/changelog ===
fcitx5-qt (5.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 07:59:28 -0400

fcitx5-qt (5.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/*.install: Also install usr/bin/fcitx5-qt*-immodule-probing.

 -- Boyuan Yang <byang@debian.org>  Mon, 21 Aug 2023 22:23:41 -0400

fcitx5-qt (5.0.17-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Jun 2023 19:23:43 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5utils-dev (>= 5.0.23~),
+ libfcitx5utils-dev (>= 5.1),
  libxcb1-dev,
  libxkbcommon-dev,
  qt6-base-dev,

## fcitx5-qt 5.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16)
-project(fcitx5-qt VERSION 5.1.0)
+project(fcitx5-qt VERSION 5.1.3)
 set(FCITX5_QT_VERSION ${PROJECT_VERSION})
 
 set(REQUIRED_QT4_VERSION 4.8.0)
@@ -33,7 +33,7 @@
   set(PLUGIN_LIBRARY_TYPE MODULE)
 endif()
 
-add_definitions(-DFCITX5_QT_VERSION=\"${FCITX5_QT_VERSION}\" -DQT_NO_KEYWORDS)
+add_definitions(-DFCITX5_QT_VERSION=\"${FCITX5_QT_VERSION}\")
 
 include(GNUInstallDirs)
 include(FeatureSummary)
@@ -67,19 +67,14 @@
 set(Fcitx5Qt4_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt4)
 
 if(ENABLE_QT4)
-  find_package(Qt4 ${REQUIRED_QT4_VERSION} REQUIRED)
   add_subdirectory(qt4)
 endif()
 
 if(ENABLE_QT5)
-  find_package(Qt5 ${REQUIRED_QT5_VERSION} CONFIG REQUIRED Core DBus Widgets)
-  find_package(Qt5Gui ${REQUIRED_QT5_VERSION} REQUIRED Private)
   add_subdirectory(qt5)
 endif()
 
 if(ENABLE_QT6)
-  find_package(Qt6 ${REQUIRED_QT6_VERSION} CONFIG REQUIRED Core DBus Widgets)
-  find_package(Qt6Gui ${REQUIRED_QT6_VERSION} REQUIRED Private)
   add_subdirectory(qt6)
 endif()

=== qt5/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+find_package(Qt5 ${REQUIRED_QT5_VERSION} CONFIG REQUIRED Core DBus Widgets)
+find_package(Qt5Gui ${REQUIRED_QT5_VERSION} REQUIRED Private)
+
 add_subdirectory(dbusaddons)
 add_subdirectory(platforminputcontext)

=== qt6/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,9 @@
+
+find_package(Qt6 ${REQUIRED_QT6_VERSION} CONFIG REQUIRED Core DBus Widgets)
+find_package(Qt6Gui ${REQUIRED_QT6_VERSION} REQUIRED Private)
+find_package(Qt6WaylandClient ${REQUIRED_QT6_VERSION} REQUIRED Private)
+find_package(Qt6WaylandGlobalPrivate ${REQUIRED_QT6_VERSION} REQUIRED)
+
 add_subdirectory(dbusaddons)
 add_subdirectory(platforminputcontext)

=== qt5/platforminputcontext/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
-
 set(FCITX5_QT_EXTRA_PLUGIN_NAME "")
 if (WITH_FCITX_PLUGIN_NAME)
     set(FCITX5_QT_EXTRA_PLUGIN_NAME "\"fcitx\",")
@@ -8,6 +6,11 @@
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/fcitx5.json.in" "${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json")
 
 set(plugin_SRCS
+    fcitx4watcher.cpp
+    fcitx4inputcontextproxy.cpp
+    fcitx4inputcontextproxyimpl.cpp
+    fcitx4inputmethodproxy.cpp
+    hybridinputcontext.cpp
     qfcitxplatforminputcontext.cpp
     fcitxcandidatewindow.cpp
     fcitxtheme.cpp
@@ -24,7 +27,7 @@
 set_target_properties(fcitx5platforminputcontextplugin PROPERTIES
                          AUTOMOC TRUE
                         )
-target_include_directories(fcitx5platforminputcontextplugin PRIVATE "${PROJECT_SOURCE_DIR}/common")
+target_include_directories(fcitx5platforminputcontextplugin PRIVATE ${Qt5Gui_PRIVATE_INCLUDE_DIRS} "${PROJECT_SOURCE_DIR}/common")
 if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
 target_compile_definitions(fcitx5platforminputcontextplugin PRIVATE "-DQT_STATICPLUGIN")
 endif()

=== qt6/platforminputcontext/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
                          OUTPUT_NAME fcitx5platforminputcontextplugin
                          AUTOMOC TRUE
                         )
-target_include_directories(fcitx5platforminputcontextplugin-qt6 PRIVATE ${Qt6Gui_PRIVATE_INCLUDE_DIRS} "${PROJECT_SOURCE_DIR}/common")
+target_include_directories(fcitx5platforminputcontextplugin-qt6 PRIVATE "${PROJECT_SOURCE_DIR}/common")
 if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
 target_compile_definitions(fcitx5platforminputcontextplugin-qt6 PRIVATE "-DQT_STATICPLUGIN")
 endif()
@@ -43,11 +43,15 @@
 target_link_libraries(fcitx5platforminputcontextplugin-qt6
                           Qt6::Core
                           Qt6::Gui
+                          Qt6::GuiPrivate
                           Qt6::DBus
                           Qt6::Widgets
                           XCB::XCB
                           Fcitx5Qt6::DBusAddons
                           XKBCommon::XKBCommon
+                          Qt6::WaylandGlobalPrivate
+                          Qt6::WaylandClient
+                          Qt6::WaylandClientPrivate
                          )
 
 get_target_property(_QT6_QMAKE_EXECUTABLE Qt6::qmake LOCATION)

=== debian/changelog ===
fcitx5-qt (5.1.3-1deepin1) unstable; urgency=medium

  * fix: can't switch input methods through the systray menu

 -- zsien <quezhiyong@deepin.org>  Fri, 15 Mar 2024 09:55:08 +0800

fcitx5-qt (5.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Nov 2023 13:42:55 -0400

fcitx5-qt (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Sep 2023 20:19:12 -0400

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,9 @@
  libxkbcommon-dev,
  qt6-base-dev,
  qt6-base-private-dev,
+ qt6-wayland,
+ qt6-wayland-dev,
+ qt6-wayland-private-dev,
  qtbase5-dev,
  qtbase5-private-dev,
 Standards-Version: 4.6.2

## fcitx5-qt 5.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
-project(fcitx5-qt VERSION 5.1.3)
+project(fcitx5-qt VERSION 5.1.4)
 set(FCITX5_QT_VERSION ${PROJECT_VERSION})
 
 set(REQUIRED_QT4_VERSION 4.8.0)
-set(REQUIRED_QT5_VERSION 5.1.0)
+set(REQUIRED_QT5_VERSION 5.5.0)
 set(REQUIRED_QT6_VERSION 6.0.0)
 
 find_package(ECM 1.4.0 REQUIRED)
@@ -13,9 +13,11 @@
 option(ENABLE_QT4 "Enable Qt 4" On)
 option(ENABLE_QT5 "Enable Qt 5" On)
 option(ENABLE_QT6 "Enable Qt 6" Off)
+option(ENABLE_X11 "Enable X11 support" On)
 option(BUILD_ONLY_PLUGIN "Build only plugin" Off)
 option(BUILD_STATIC_PLUGIN "Build plugin as static" Off)
 option(WITH_FCITX_PLUGIN_NAME "Enable plugin name with fcitx" On)
+option(ENABLE_QT6_WAYLAND_WORKAROUND "Enable Qt6 Wayland workaround" On)
 
 if (BUILD_ONLY_PLUGIN)
   set(LIBRARY_TYPE OBJECT)
@@ -42,17 +44,22 @@
 include(ECMGenerateHeaders)
 include(ECMUninstallTarget)
 
-find_package(XCB REQUIRED COMPONENTS XCB)
+if (ENABLE_X11)
+    find_package(XCB REQUIRED COMPONENTS XCB)
+endif()
 find_package(XKBCommon 0.5.0 REQUIRED COMPONENTS XKBCommon)
 if (NOT BUILD_ONLY_PLUGIN)
 find_package(Fcitx5Utils 5.0.16 REQUIRED)
 endif()
+
+if (ENABLE_X11)
 find_package(X11 REQUIRED)
 
 add_library(X11Import UNKNOWN IMPORTED)
 set_target_properties(X11Import PROPERTIES
     IMPORTED_LOCATION "${X11_X11_LIB}"
     INTERFACE_INCLUDE_DIRECTORIES "${X11_X11_INCLUDE_PATH}")
+endif()
 
 if (BUILD_ONLY_PLUGIN)
 # Dup a little bit option here.

=== qt6/platforminputcontext/CMakeLists.txt ===
--- 
+++ 
@@ -49,10 +49,15 @@
                           XCB::XCB
                           Fcitx5Qt6::DBusAddons
                           XKBCommon::XKBCommon
-                          Qt6::WaylandGlobalPrivate
-                          Qt6::WaylandClient
-                          Qt6::WaylandClientPrivate
                          )
+
+if (ENABLE_QT6_WAYLAND_WORKAROUND)
+    target_compile_definitions(fcitx5platforminputcontextplugin-qt6 PRIVATE "-DFCITX_ENABLE_QT6_WAYLAND_WORKAROUND")
+    target_link_libraries(fcitx5platforminputcontextplugin-qt6
+        Qt6::WaylandGlobalPrivate
+        Qt6::WaylandClient
+        Qt6::WaylandClientPrivate)
+endif()
 
 get_target_property(_QT6_QMAKE_EXECUTABLE Qt6::qmake LOCATION)
 execute_process(

=== debian/changelog ===
fcitx5-qt (5.1.4-1build5) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 03 Apr 2024 10:54:38 +0300

fcitx5-qt (5.1.4-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:57:50 +0000

fcitx5-qt (5.1.4-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:21:23 +0000

fcitx5-qt (5.1.4-1build2) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:51:49 +0000

fcitx5-qt (5.1.4-1build1) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 13 Jan 2024 21:33:06 +0300

fcitx5-qt (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Jan 2024 14:07:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fcitx5-qt
 Section: utils
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := 5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	        -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
	        -DENABLE_QT4=Off \
	        -DENABLE_QT6=On

## fcitx5-qt 5.1.6

=== debian/changelog ===
fcitx5-qt (5.1.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Apr 2024 13:16:38 -0400

fcitx5-qt (5.1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add missing development package dependency to
    Qt5 and Qt6 dev packages.
  * debian/libfcitx5-qt6-1.lintian-overrides: Update lintian overrides.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Apr 2024 22:12:49 -0400

fcitx5-qt (5.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 23:08:56 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fcitx5-qt
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -93,6 +92,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
+ qtbase5-dev,
  libfcitx5-qt1 (= ${binary:Version}),
  ${misc:Depends},
 Description: Qt library and IM module for fcitx5 (development files)
@@ -158,6 +158,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
+ qt6-base-dev,
  libfcitx5-qt6-1 (= ${binary:Version}),
  ${misc:Depends},
 Description: Qt6 library and IM module for fcitx5 (development files)

## fcitx5-qt 5.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16)
-project(fcitx5-qt VERSION 5.1.4)
+project(fcitx5-qt VERSION 5.1.8)
 set(FCITX5_QT_VERSION ${PROJECT_VERSION})
 
 set(REQUIRED_QT4_VERSION 4.8.0)
@@ -10,9 +10,9 @@
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
-option(ENABLE_QT4 "Enable Qt 4" On)
+option(ENABLE_QT4 "Enable Qt 4" Off)
 option(ENABLE_QT5 "Enable Qt 5" On)
-option(ENABLE_QT6 "Enable Qt 6" Off)
+option(ENABLE_QT6 "Enable Qt 6" On)
 option(ENABLE_X11 "Enable X11 support" On)
 option(BUILD_ONLY_PLUGIN "Build only plugin" Off)
 option(BUILD_STATIC_PLUGIN "Build plugin as static" Off)

=== debian/changelog ===
fcitx5-qt (5.1.8-1zneon+24.04+noble+stable+build10) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 13 Aug 2025 05:43:46 +0000

fcitx5-qt (5.1.8-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 05 Nov 2024 11:49:53 +1000

fcitx5-qt (5.1.5-1neon) noble; urgency=medium

  * No change rebuild for abi

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 23 Apr 2024 13:35:53 +1100

fcitx5-qt (5.1.5-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 02 Apr 2024 13:35:53 +1100

fcitx5-qt (5.1.4-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 15 Jan 2024 15:29:08 +1000

fcitx5-qt (5.1.3-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 20 Dec 2023 13:40:21 +1000

fcitx5-qt (5.1.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 23 Aug 2023 08:05:34 +1000

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,32 @@
 Source: fcitx5-qt
 Section: utils
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
-Build-Depends:
- cmake,
- debhelper-compat (= 13),
- extra-cmake-modules,
- gettext,
- libfcitx5utils-dev (>= 5.1),
- libxcb1-dev,
- libxkbcommon-dev,
- qt6-base-dev,
- qt6-base-private-dev,
- qt6-wayland,
- qt6-wayland-dev,
- qt6-wayland-private-dev,
- qtbase5-dev,
- qtbase5-private-dev,
+Uploaders: Boyuan Yang <byang@debian.org>
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               extra-cmake-modules,
+               gettext,
+               libfcitx5utils-dev (>= 5.0.23~),
+               libxcb1-dev,
+               libxkbcommon-dev,
+               qt6-base-dev,
+               qt6-base-private-dev,
+               qt6-wayland-dev,
+               qtbase5-dev,
+               qtbase5-private-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-qt
-Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
-Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-qt
+Vcs-Git: https://invent.kde.org/neon/backports-noble/fcitx5-qt-noble.git
+Vcs-Browser: https://invent.kde.org/neon/backports-noble/fcitx5-qt-noble
+Maintainer: Neon CI <neon@kde.org>
 
 Package: fcitx5-frontend-qt5
 Architecture: any
 Section: libs
-Depends:
- libfcitx5-qt1 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: libfcitx5-qt1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Qt5 IM module for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -49,10 +44,10 @@
 Package: fcitx5-frontend-qt6
 Architecture: any
 Section: libs
-Depends:
- libfcitx5-qt6-1 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: libfcitx5-qt6-1 (= ${binary:Version}),
+         qt6-base,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Qt6 IM module for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -71,8 +66,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libs
-Depends:
- ${misc:Depends},
+Depends: ${misc:Depends}
 Description: Qt library and IM module for fcitx5 (data files)
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -91,10 +85,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends:
- qtbase5-dev,
- libfcitx5-qt1 (= ${binary:Version}),
- ${misc:Depends},
+Depends: libfcitx5-qt1 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
 Description: Qt library and IM module for fcitx5 (development files)
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -113,10 +104,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends:
- libfcitx5-qt-data (= ${source:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: libfcitx5-qt-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Qt library and IM module for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -135,10 +125,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends:
- libfcitx5-qt-data (= ${source:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: libfcitx5-qt-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Qt6 library and IM module for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -157,10 +146,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends:
- qt6-base-dev,
- libfcitx5-qt6-1 (= ${binary:Version}),
- ${misc:Depends},
+Depends: libfcitx5-qt6-1 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
 Description: Qt6 library and IM module for fcitx5 (development files)
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
